| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
cv::gapi::onnx::ep::DirectML Class Reference

This structure provides functions that fill inference options for ONNX DirectML Execution Provider. Please follow https://onnxruntime.ai/docs/execution-providers/DirectML-ExecutionProvider.html#directml-execution-provider. More...

`#include <opencv2/gapi/infer/onnx.hpp>`

Collaboration diagram for cv::gapi::onnx::ep::DirectML:

## Public Types
using | DeviceDesc = cv::util::variant<int, std::string>

## Public Member Functions
GAPI_WRAP | DirectML (const int device_id)
| Class constructor.
GAPI_WRAP | DirectML (const std::string &adapter_name)
| Class constructor.

## Public Attributes
DeviceDesc | ddesc

## Detailed Description

This structure provides functions that fill inference options for ONNX DirectML Execution Provider. Please follow https://onnxruntime.ai/docs/execution-providers/DirectML-ExecutionProvider.html#directml-execution-provider.

## Member Typedef Documentation

## ◆ DeviceDesc

using cv::gapi::onnx::ep::DirectML::DeviceDesc = cv::util::variant<int, std::string>

## Constructor & Destructor Documentation

## ◆ DirectML() [1/2]

GAPI_WRAP cv::gapi::onnx::ep::DirectML::DirectML | ( | const int | device_id | ) |
| inline explicit

Python:
| cv.gapi.onnx.ep.DirectML( |  | ) -> | <gapi_onnx_ep_DirectML object>
| cv.gapi.onnx.ep.DirectML( | device_id | ) -> | <gapi_onnx_ep_DirectML object>
| cv.gapi.onnx.ep.DirectML( | adapter_name | ) -> | <gapi_onnx_ep_DirectML object>

Class constructor.

Constructs DirectML parameters based on device id.

Parameters

  device_id | Target device id to use. ("0", "1", etc)

## ◆ DirectML() [2/2]

GAPI_WRAP cv::gapi::onnx::ep::DirectML::DirectML | ( | const std::string & | adapter_name | ) |
| inline explicit

Python:
| cv.gapi.onnx.ep.DirectML( |  | ) -> | <gapi_onnx_ep_DirectML object>
| cv.gapi.onnx.ep.DirectML( | device_id | ) -> | <gapi_onnx_ep_DirectML object>
| cv.gapi.onnx.ep.DirectML( | adapter_name | ) -> | <gapi_onnx_ep_DirectML object>

Class constructor.

Constructs DirectML parameters based on adapter name.

Parameters

  adapter_name | Target adapter_name to use.

## Member Data Documentation

## ◆ ddesc

DeviceDesc cv::gapi::onnx::ep::DirectML::ddesc

The documentation for this class was generated from the following file:

- opencv2/gapi/infer/onnx.hpp